<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AIThreadInfo extends \Google\Protobuf\Internal\Message
{
    


    protected $serverInfo = null;
    


    protected $clientInfo = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getServerInfo()
    {
        return $this->serverInfo;
    }

    public function hasServerInfo()
    {
        return isset($this->serverInfo);
    }

    public function clearServerInfo()
    {
        unset($this->serverInfo);
    }

    




    public function setServerInfo($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\AIThreadInfo\AIThreadServerInfo::class);
        $this->serverInfo = $var;

        return $this;
    }

    



    public function getClientInfo()
    {
        return $this->clientInfo;
    }

    public function hasClientInfo()
    {
        return isset($this->clientInfo);
    }

    public function clearClientInfo()
    {
        unset($this->clientInfo);
    }

    




    public function setClientInfo($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\AIThreadInfo\AIThreadClientInfo::class);
        $this->clientInfo = $var;

        return $this;
    }

}

